Skip to main content
GET
/
api
/
knowledge-set-sources
/
{id}
Get KnowledgeSetSource by ID
curl --request GET \
  --url https://platform.kodexa.ai/api/knowledge-set-sources/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://platform.kodexa.ai/api/knowledge-set-sources/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://platform.kodexa.ai/api/knowledge-set-sources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "changeSequence": 123,
  "contentObject": {
    "changeSequence": 123,
    "contentMetadata": {},
    "contentType": 123,
    "created": "2023-11-07T05:31:56Z",
    "createdOn": "2023-11-07T05:31:56Z",
    "docTransitionType": "<string>",
    "documentFamilyId": "<string>",
    "documentTaxonValidations": [
      {
        "taxonPath": "<string>",
        "taxonomyRef": "<string>",
        "validation": {
          "conditional": true,
          "conditionalFormula": "<string>",
          "description": "<string>",
          "detailFormula": "<string>",
          "disabled": true,
          "exceptionId": "<string>",
          "messageFormula": "<string>",
          "name": "<string>",
          "overridable": true,
          "ruleFormula": "<string>",
          "supportArticleId": "<string>"
        }
      }
    ],
    "documentVersion": "<string>",
    "id": "<string>",
    "index": 123,
    "metadata": {},
    "mixins": [
      "<string>"
    ],
    "modified": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "size": 123,
    "source": {
      "checksum": "<string>",
      "cid": "<string>",
      "connector": "<string>",
      "created": "<string>",
      "document_family_id": "<string>",
      "headers": {},
      "last_modified": "<string>",
      "lineage_document_uuid": "<string>",
      "mime_type": "<string>",
      "original_filename": "<string>",
      "original_path": "<string>",
      "source_document_uuid": "<string>"
    },
    "sourceContentObjectId": "<string>",
    "storeRef": "<string>",
    "summary": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
  },
  "contentObjectId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdOn": "2023-11-07T05:31:56Z",
  "executionId": "<string>",
  "id": "<string>",
  "knowledgeSet": {
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "currentSnapshotId": "<string>",
    "description": "<string>",
    "featureExpression": {
      "children": "<array>",
      "slug": "<string>"
    },
    "features": [
      {
        "active": true,
        "changeSequence": 123,
        "createdOn": "2023-11-07T05:31:56Z",
        "extendedProperties": "<unknown>",
        "featureType": {
          "active": true,
          "changeSequence": 123,
          "color": "<string>",
          "createdOn": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "extendedOptions": "<unknown>",
          "icon": "<string>",
          "id": "<string>",
          "labelJsonPath": "<string>",
          "name": "<string>",
          "options": "<unknown>",
          "organization": {
            "archived": true,
            "authGroupLink": {
              "authGroup": "<string>"
            },
            "changeSequence": 123,
            "createdOn": "2023-11-07T05:31:56Z",
            "defaultToPrivateTemplates": true,
            "description": "Document processing organization for Acme Corp.",
            "enterpriseOrganization": true,
            "features": {},
            "hasImage": true,
            "id": "550e8400-e29b-41d4-a716-446655440000",
            "memory": {
              "orderedDashboards": [
                "<string>"
              ]
            },
            "name": "Acme Corp",
            "organizationStatus": "ACTIVE",
            "properties": {},
            "publicAccess": true,
            "searchText": "<string>",
            "slug": "acme-corp",
            "stripeCustomerId": "<string>",
            "supportAccess": true,
            "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
            "updatedOn": "2023-11-07T05:31:56Z",
            "uuid": "550e8400e29b41d4a716446655440000"
          },
          "organizationId": "<string>",
          "slug": "<string>",
          "updatedOn": "2023-11-07T05:31:56Z",
          "useJSONata": true,
          "uuid": "<string>"
        },
        "featureTypeId": "<string>",
        "id": "<string>",
        "organization": {
          "archived": true,
          "authGroupLink": {
            "authGroup": "<string>"
          },
          "changeSequence": 123,
          "createdOn": "2023-11-07T05:31:56Z",
          "defaultToPrivateTemplates": true,
          "description": "Document processing organization for Acme Corp.",
          "enterpriseOrganization": true,
          "features": {},
          "hasImage": true,
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "memory": {
            "orderedDashboards": [
              "<string>"
            ]
          },
          "name": "Acme Corp",
          "organizationStatus": "ACTIVE",
          "properties": {},
          "publicAccess": true,
          "searchText": "<string>",
          "slug": "acme-corp",
          "stripeCustomerId": "<string>",
          "supportAccess": true,
          "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
          "updatedOn": "2023-11-07T05:31:56Z",
          "uuid": "550e8400e29b41d4a716446655440000"
        },
        "organizationId": "<string>",
        "properties": "<unknown>",
        "slug": "<string>",
        "updatedOn": "2023-11-07T05:31:56Z",
        "uuid": "<string>"
      }
    ],
    "id": "<string>",
    "knowledgeItems": [
      {
        "active": true,
        "attachmentContentHash": "<string>",
        "attachmentContentType": "<string>",
        "attachmentFileName": "<string>",
        "attachmentId": "<string>",
        "attachmentSize": 123,
        "attachmentUploadedAt": "2023-11-07T05:31:56Z",
        "attachmentUploadedBy": "<string>",
        "changeSequence": 123,
        "createdOn": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "id": "<string>",
        "knowledgeItemType": {
          "changeSequence": 123,
          "createdOn": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "id": "<string>",
          "name": "<string>",
          "options": "<unknown>",
          "organization": {
            "archived": true,
            "authGroupLink": {
              "authGroup": "<string>"
            },
            "changeSequence": 123,
            "createdOn": "2023-11-07T05:31:56Z",
            "defaultToPrivateTemplates": true,
            "description": "Document processing organization for Acme Corp.",
            "enterpriseOrganization": true,
            "features": {},
            "hasImage": true,
            "id": "550e8400-e29b-41d4-a716-446655440000",
            "memory": {
              "orderedDashboards": [
                "<string>"
              ]
            },
            "name": "Acme Corp",
            "organizationStatus": "ACTIVE",
            "properties": {},
            "publicAccess": true,
            "searchText": "<string>",
            "slug": "acme-corp",
            "stripeCustomerId": "<string>",
            "supportAccess": true,
            "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
            "updatedOn": "2023-11-07T05:31:56Z",
            "uuid": "550e8400e29b41d4a716446655440000"
          },
          "organizationId": "<string>",
          "slug": "<string>",
          "supportsAttachment": true,
          "updatedOn": "2023-11-07T05:31:56Z",
          "uuid": "<string>"
        },
        "knowledgeItemTypeId": "<string>",
        "knowledgeSetId": "<string>",
        "knowledgeSetSlug": "<string>",
        "properties": "<unknown>",
        "searchText": "<string>",
        "sequenceOrder": 123,
        "slug": "<string>",
        "title": "<string>",
        "updatedOn": "2023-11-07T05:31:56Z",
        "uuid": "<string>"
      }
    ],
    "name": "<string>",
    "organization": {
      "archived": true,
      "authGroupLink": {
        "authGroup": "<string>"
      },
      "changeSequence": 123,
      "createdOn": "2023-11-07T05:31:56Z",
      "defaultToPrivateTemplates": true,
      "description": "Document processing organization for Acme Corp.",
      "enterpriseOrganization": true,
      "features": {},
      "hasImage": true,
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "memory": {
        "orderedDashboards": [
          "<string>"
        ]
      },
      "name": "Acme Corp",
      "organizationStatus": "ACTIVE",
      "properties": {},
      "publicAccess": true,
      "searchText": "<string>",
      "slug": "acme-corp",
      "stripeCustomerId": "<string>",
      "supportAccess": true,
      "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "550e8400e29b41d4a716446655440000"
    },
    "organizationId": "<string>",
    "priority": 123,
    "project": {
      "changeSequence": 123,
      "color": "#4A90D9",
      "createdOn": "2023-11-07T05:31:56Z",
      "dataFlow": {
        "edges": [
          {
            "id": "<string>",
            "properties": {},
            "source": "<string>",
            "target": "<string>"
          }
        ],
        "nodes": [
          {
            "dimensions": {
              "height": 123,
              "width": 123
            },
            "id": "<string>",
            "parentId": "<string>",
            "position": {
              "x": 123,
              "y": 123
            },
            "properties": {},
            "type": "<string>"
          }
        ],
        "viewPort": {
          "x": 123,
          "y": 123,
          "zoom": 123
        }
      },
      "description": "Automated invoice processing pipeline.",
      "documentStatuses": [
        {
          "changeSequence": 123,
          "color": "<string>",
          "createdOn": "2023-11-07T05:31:56Z",
          "icon": "<string>",
          "id": "<string>",
          "project": "<unknown>",
          "projectId": "<string>",
          "slug": "<string>",
          "status": "<string>",
          "updatedOn": "2023-11-07T05:31:56Z",
          "uuid": "<string>"
        }
      ],
      "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "memory": {
        "changeSequence": 123,
        "orderedDashboards": [
          "<string>"
        ],
        "recentFilters": {},
        "recentQueries": {}
      },
      "name": "Invoice Processing",
      "notes": "<string>",
      "options": {
        "companion": {
          "agentRuntimeRef": "<string>",
          "moduleRefs": [
            "<string>"
          ],
          "prompt": "<string>"
        },
        "dataOptions": [
          {
            "aliases": [
              "<string>"
            ],
            "default": "<unknown>",
            "description": "<string>",
            "developerOnly": true,
            "displayProperties": {},
            "falseLabel": "<string>",
            "featureFlag": "<string>",
            "groupOptions": "<array>",
            "hint": "<string>",
            "label": "<string>",
            "listDescription": "<string>",
            "listLabel": "<string>",
            "listType": "<string>",
            "name": "<string>",
            "overviewMarkdown": "<string>",
            "possibleValues": [
              {
                "description": "<string>",
                "label": "<string>",
                "value": "<unknown>"
              }
            ],
            "properties": {},
            "required": true,
            "showIf": "<string>",
            "showOnPopup": true,
            "subType": "<string>",
            "supportArticle": "<string>",
            "tabName": "<string>",
            "type": "<string>"
          }
        ],
        "dataProperties": {},
        "executionPolicy": {
          "backoffBaseSeconds": 123,
          "backoffStrategy": "<string>",
          "maxAttempts": 123,
          "onExhausted": "<string>",
          "timeoutSeconds": 123
        },
        "groupTaxonTypeFeatures": {},
        "options": [
          {
            "aliases": [
              "<string>"
            ],
            "default": "<unknown>",
            "description": "<string>",
            "developerOnly": true,
            "displayProperties": {},
            "falseLabel": "<string>",
            "featureFlag": "<string>",
            "groupOptions": "<array>",
            "hint": "<string>",
            "label": "<string>",
            "listDescription": "<string>",
            "listLabel": "<string>",
            "listType": "<string>",
            "name": "<string>",
            "overviewMarkdown": "<string>",
            "possibleValues": [
              {
                "description": "<string>",
                "label": "<string>",
                "value": "<unknown>"
              }
            ],
            "properties": {},
            "required": true,
            "showIf": "<string>",
            "showOnPopup": true,
            "subType": "<string>",
            "supportArticle": "<string>",
            "tabName": "<string>",
            "type": "<string>"
          }
        ],
        "properties": {},
        "taskOptions": {
          "showNewTask": true
        },
        "taxonTypeFeatures": {}
      },
      "organization": {
        "archived": true,
        "authGroupLink": {
          "authGroup": "<string>"
        },
        "changeSequence": 123,
        "createdOn": "2023-11-07T05:31:56Z",
        "defaultToPrivateTemplates": true,
        "description": "Document processing organization for Acme Corp.",
        "enterpriseOrganization": true,
        "features": {},
        "hasImage": true,
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "memory": {
          "orderedDashboards": [
            "<string>"
          ]
        },
        "name": "Acme Corp",
        "organizationStatus": "ACTIVE",
        "properties": {},
        "publicAccess": true,
        "searchText": "<string>",
        "slug": "acme-corp",
        "stripeCustomerId": "<string>",
        "supportAccess": true,
        "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
        "updatedOn": "2023-11-07T05:31:56Z",
        "uuid": "550e8400e29b41d4a716446655440000"
      },
      "organizationId": "<string>",
      "owner": {
        "active": true,
        "bio": "<string>",
        "businessGroup": "<string>",
        "changeSequence": 123,
        "createdOn": "2023-11-07T05:31:56Z",
        "email": "<string>",
        "firstName": "<string>",
        "groupsJson": "<string>",
        "id": "<string>",
        "image": "<string>",
        "isExternallyManaged": true,
        "lastName": "<string>",
        "preferences": {
          "showOnboarding": true,
          "showScrollbars": true,
          "showWelcomeMessage": true
        },
        "rolesJson": "<string>",
        "searchText": "<string>",
        "security": {
          "roles": [
            "<string>"
          ]
        },
        "showDeveloperTools": true,
        "title": "<string>",
        "updatedOn": "2023-11-07T05:31:56Z",
        "userStorage": {
          "favoriteLinks": [
            {
              "link": "<string>"
            }
          ]
        },
        "userType": "<string>",
        "uuid": "<string>"
      },
      "ownerId": "<string>",
      "projectTemplateRef": "<string>",
      "searchText": "<string>",
      "slug": "invoice-processing",
      "status": {
        "changeSequence": 123,
        "color": "<string>",
        "createdOn": "2023-11-07T05:31:56Z",
        "icon": "<string>",
        "id": "<string>",
        "organization": {
          "archived": true,
          "authGroupLink": {
            "authGroup": "<string>"
          },
          "changeSequence": 123,
          "createdOn": "2023-11-07T05:31:56Z",
          "defaultToPrivateTemplates": true,
          "description": "Document processing organization for Acme Corp.",
          "enterpriseOrganization": true,
          "features": {},
          "hasImage": true,
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "memory": {
            "orderedDashboards": [
              "<string>"
            ]
          },
          "name": "Acme Corp",
          "organizationStatus": "ACTIVE",
          "properties": {},
          "publicAccess": true,
          "searchText": "<string>",
          "slug": "acme-corp",
          "stripeCustomerId": "<string>",
          "supportAccess": true,
          "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
          "updatedOn": "2023-11-07T05:31:56Z",
          "uuid": "550e8400e29b41d4a716446655440000"
        },
        "organizationId": "<string>",
        "production": true,
        "status": "<string>",
        "updatedOn": "2023-11-07T05:31:56Z",
        "uuid": "<string>"
      },
      "statusId": "<string>",
      "statusType": "ACTIVE",
      "templateArticleId": "<string>",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "7c9e667974254de944be07fc1f90ae7"
    },
    "projectId": "<string>",
    "projectSlug": "<string>",
    "searchText": "<string>",
    "setType": "<string>",
    "slug": "<string>",
    "status": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
  },
  "knowledgeSetId": "<string>",
  "metadata": "<unknown>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Response

The KnowledgeSetSource

A knowledge set source references the origin of knowledge set data.

changeSequence
integer<int32>
contentObject
object | null

A content object represents an individual file or processing result within a document family.

contentObjectId
string | null
createdAt
string<date-time>
createdOn
string<date-time>
executionId
string | null
id
string
knowledgeSet
object | null

A knowledge set is a collection of extracted knowledge used for AI-assisted processing.

knowledgeSetId
string | null
metadata
any
updatedOn
string<date-time>
uuid
string